> ## Documentation Index
> Fetch the complete documentation index at: https://formbnb.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Form

> Submit data to a form. Supports JSON, multipart/form-data, and URL-encoded content types.



## OpenAPI

````yaml POST /f/:org_code/:slug
openapi: 3.1.0
info:
  title: FormBnB API
  version: 1.0.0
  description: API for FormBnB - Form backend as a service
servers:
  - url: https://api.formbnb.com
security: []
paths:
  /f/:org_code/:slug:
    post:
      tags:
        - Submissions
      summary: Submit a form
      description: >-
        Submit data to a form. Supports JSON, multipart/form-data, and
        URL-encoded content types.
      parameters:
        - schema:
            type: string
            description: The organization short code
          required: true
          name: org_code
          in: path
        - schema:
            type: string
            description: The form slug identifier
          required: true
          name: slug
          in: path
      responses:
        '200':
          description: Submission successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                required:
                  - success
        '303':
          description: Redirect to success URL (when _next is provided)
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Form disabled or domain not allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Form not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````